/**************************************************************************/
/*  GFAZ.H Version 3.0                                                    */
/*  Copyright (C) 1992, 1999 Mariano Alvarez Fernandez                    */
/**************************************************************************/
/*  Definiciones, estructuras y prototipos de GFAZ.C                      */
/**************************************************************************/

//#define DEPURAR

#define max(a,b)    (((a) > (b)) ? (a) : (b))
#define min(a,b)    (((a) < (b)) ? (a) : (b))

#define OK 1
#define ERROR 0

#define EV_NADA  0
#define EV_TECLA 1
#define EV_AREA  2

#define BI_RATON 1
#define BD_RATON 2

struct AreaRaton{
  int x1, y1, x2, y2;
  int th, tv, incrh, incrv;
  int b1, b2;
  int invertir;
  };

extern GrColor colores[16];

#define K_BLACK        colores[0]
#define K_BLUE         colores[1]
#define K_GREEN        colores[2]
#define K_CYAN         colores[3]
#define K_RED          colores[4]
#define K_MAGENTA      colores[5]
#define K_BROWN        colores[6]
#define K_LIGHTGRAY    colores[7]
#define K_DARKGRAY     colores[8]
#define K_LIGHTBLUE    colores[9]
#define K_LIGHTGREEN   colores[10]
#define K_LIGHTCYAN    colores[11]
#define K_LIGHTRED     colores[12]
#define K_LIGHTMAGENTA colores[13]
#define K_YELLOW       colores[14]
#define K_WHITE        colores[15]

int gfaz_ini( void );
int gfaz_fin( void );
void gfaz_setfont( GrFont *grf );
int lee_evento( int *valor, int espera );
void muestra_raton( void );
void oculta_raton( void );
void espera_soltar_raton( void );
void asigna_area_raton( int x, int y, struct AreaRaton *a, int n,
                        void (*f)( int,int ) );
int lee_area( int *ev, int *valor, int x, int y );
void dboton( int x, int y, int an, int al,
             GrColor c, GrColor ct, char * s, int t );

